My Oracle Support Banner

E-DPK Receiving Database Access Error When Deploying Campus PUM Image 12: SP2-0751: Unable to connect to Oracle. (Doc ID 2521527.1)

Last updated on DECEMBER 02, 2019

Applies to:

PeopleSoft Enterprise PT PeopleTools - Version 8.56 to 8.57 [Release 8.4]
Information in this document applies to any platform.

Symptoms

Receiving Database Access Error When Deploying Campus PUM Image 12.

ENV:
====
CS 9.2 DPK install
Client Win 2016 it is a physical machine

ISSUE:
=====
2019-02-22 16:41:51 -0400 /Stage[main]/Pt_profile::Pt_password/Pt_password[peoplesoft]/change_password (notice): defined 'change_password' as 'true'
2019-02-22 16:41:51 -0400 Puppet (debug): SET HEADING OFF;
SET FEEDBACK OFF;
ALTER SESSION SET CONTAINER = CS92PUM;
SELECT OWNERID FROM PS.PSDBOWNER;
2019-02-22 16:41:51 -0400 Puppet (debug): Executing SQL command: sqlplus.exe -S -L system/****@CS92PUM @C:/temp/access-452.sql
2019-02-22 16:41:54 -0400 Puppet (debug): SQL command output: ERROR:
ORA-12541: TNS:no listener


SP2-0751: Unable to connect to Oracle.  Exiting SQL*Plus
, error:
2019-02-22 16:41:54 -0400 Puppet (err): Error getting access id from the database: CS92PUM
C:/Program Files/Puppet Labs/Puppet/puhttps://support.us.oracle.com/oip/faces/secure/srm/srview/SRTechnical.jspx?action=createQueryTab&srNumber=3-19484641811&rowIndex=4&listBcId=282-577&gridId=76ff8586-fe7a-4537-8125-8c0a1db26834&startIncludedRowIndex=0&calcCount=15&endOfSet=N&tempGridSort=-sub-Status#ppet/lib/puppet/util/errors.rb:106:in `fail'
C:/Psoft/CS92PUM/dpk/puppet/production/modules/pt_config/lib/puppet/provider/pt_password/password.rb:148:in `change_db_access_pwd'
C:/Psoft/CS92PUM/dpk/puppet/production/modules/pt_config/lib/puppet/provider/pt_password/password.rb:36:in `change_psft_passwords'

...

2019-02-22 16:41:54 -0400 /Stage[main]/Pt_profile::Pt_password/Pt_password[peoplesoft]/returns (err): change from absent to 0 failed: Error getting access id from the database: CS92PUM



REPLICATION STEPS
=================
Run DPK setup script



IMPACT:
======
Need to install the latest PUM image CS 9.2 for performing maintenance on the target databases.

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.